---
title: get-the-version-history-for-a-project-s-redirects
product: vercel
url: /docs/rest-api/bulk-redirects/get-the-version-history-for-a-project-s-redirects
canonical_url: "https://vercel.com/docs/rest-api/bulk-redirects/get-the-version-history-for-a-project-s-redirects"
last_updated: 2026-08-28
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-the-version-history-for-a-project-s-redirects on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get the version history for a project's redirects.

```http
GET /v1/bulk-redirects/versions
```

Get the version history for a project's bulk redirects

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/bulk-redirects/versions?projectId=string&teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/bulk-redirects/versions?projectId=string&teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/bulk-redirects/versions?projectId=string&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "versions": [
    {
      "id": "icfg_1234567890",
      "key": "string",
      "lastModified": "123",
      "createdBy": "string",
      "name": "Example Name",
      "isStaging": "false",
      "isLive": "false",
      "redirectCount": "123",
      "alias": "string"
    }
  ]
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "versions"
  ],
  "properties": {
    "versions": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "createdBy",
          "id",
          "key",
          "lastModified"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the version."
          },
          "key": {
            "type": "string",
            "description": "The key of the version. The key may be duplicated across versions if the contents are the same as a different version."
          },
          "lastModified": {
            "type": "number"
          },
          "createdBy": {
            "type": "string"
          },
          "name": {
            "type": "string",
            "description": "Optional name for the version. If not provided, defaults to an ISO timestamp string."
          },
          "isStaging": {
            "type": "boolean",
            "description": "Whether this version has not been promoted to production yet and is not serving end users.",
            "enum": [
              false,
              true
            ]
          },
          "isLive": {
            "type": "boolean",
            "description": "Whether this version is currently live in production.",
            "enum": [
              false,
              true
            ]
          },
          "redirectCount": {
            "type": "number",
            "description": "The number of redirects in this version."
          },
          "alias": {
            "type": "string",
            "description": "The staging link for previewing redirects in this version."
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 410: No description

### 500: No description

---

## Related

- [bulk-redirects endpoints](/docs/rest-api#bulk-redirects)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
